#### PyKDE - Python Bindings for KDE

# class KParts.URLArgs

Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Class | KParts.URLArgs
Inherits |

### methods

- URLArgs ()

  returns a URLArgs instance

- URLArgs (args)

  returns a URLArgs instance

  Argument | Type | Default
  --- | --- | ---
  args | KParts.URLArgs |

- URLArgs (reload, xOffset, yOffset, serviceType = QString .null)

  returns a URLArgs instance

  Argument | Type | Default
  --- | --- | ---
  reload | bool |
  xOffset | int |
  yOffset | int |
  serviceType | QString | QString .null

- contentType ()

  returns (QString)

- doPost ()

  returns (bool)

- forcesNewWindow ()

  returns (bool)
  In versions KDE 3.4.0 and above only

- lockHistory ()

  returns (bool)

- metaData ()

  returns (QMap<QString,QString>)

- newTab ()

  returns (bool)
  In versions KDE 3.1.0 and above only

- redirectedRequest ()

  returns (bool)
  In versions KDE 3.1.3 and above only

- setContentType (contentType)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  contentType | QString |

- setDoPost (enable)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  enable | bool |

- setForcesNewWindow (forcesNewWindow)

  returns nothing
  In versions KDE 3.4.0 and above only

  Argument | Type | Default
  --- | --- | ---
  forcesNewWindow | bool |

- setLockHistory (lock)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  lock | bool |

- setNewTab (newTab)

  returns nothing
  In versions KDE 3.1.0 and above only

  Argument | Type | Default
  --- | --- | ---
  newTab | bool |

- setRedirectedRequest (redirected)

  returns nothing
  In versions KDE 3.1.3 and above only

  Argument | Type | Default
  --- | --- | ---
  redirected | bool |

### variables

- variables

  Variable | Type
  --- | ---
  d | URLArgsPrivate*
  docState | QStringList
  frameName | QString
  postData | QByteArray
  reload | bool
  serviceType | QString
  trustedSource | bool
  xOffset | int
  yOffset | int